Package org.gradle.plugin.devel.tasks

# Class PluginUnderTestMetadata

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.plugin.devel.tasks.PluginUnderTestMetadata

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") public abstract class PluginUnderTestMetadata extends DefaultTask
Custom task for generating the metadata for a plugin user test.

Since:
  2.13

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `IMPLEMENTATION_CLASSPATH_PROP_KEY`
  `static final String`
  `METADATA_FILE_NAME`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginUnderTestMetadata()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `abstract DirectoryProperty`
  `getOutputDirectory()`
  The target output directory used for writing the classpath manifest.
  `protected List<String>`
  `getPaths()`
  `abstract ConfigurableFileCollection`
  `getPluginClasspath()`
  The code under test.

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Field Details

  - ### IMPLEMENTATION_CLASSPATH_PROP_KEY

    public static final String IMPLEMENTATION_CLASSPATH_PROP_KEY
    See Also:
      - Constant Field Values

  - ### METADATA_FILE_NAME

    public static final String METADATA_FILE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PluginUnderTestMetadata

    public PluginUnderTestMetadata()

- ## Method Details

  - ### getPluginClasspath

    @Classpath public abstract ConfigurableFileCollection getPluginClasspath()
    The code under test. Defaults to `sourceSets.main.runtimeClasspath`.

  - ### getOutputDirectory

    @OutputDirectory public abstract DirectoryProperty getOutputDirectory()
    The target output directory used for writing the classpath manifest. Defaults to `"$buildDir/$task.name"`.

  - ### generate

    public void generate()

  - ### getPaths

    @Input protected List<String> getPaths()